summaryrefslogtreecommitdiffstats
path: root/debian/vim-runtime.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 02:44:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 02:44:26 +0000
commit0cde7a370d07f80208bcd29597cf30d5274f38b0 (patch)
treee228a85db87eb0491d2937e213bbbab19826b682 /debian/vim-runtime.postinst
parentAdding upstream version 2:8.1.0875. (diff)
downloadvim-0cde7a370d07f80208bcd29597cf30d5274f38b0.tar.xz
vim-0cde7a370d07f80208bcd29597cf30d5274f38b0.zip
Adding debian version 2:8.1.0875-5+deb10u2.debian/2%8.1.0875-5+deb10u2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/vim-runtime.postinst')
-rw-r--r--debian/vim-runtime.postinst34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/vim-runtime.postinst b/debian/vim-runtime.postinst
new file mode 100644
index 0000000..34b221d
--- /dev/null
+++ b/debian/vim-runtime.postinst
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -e
+
+basedir=/usr/share/vim/@VIMCUR@/doc
+
+rm_diversion() {
+ dpkg-divert --package vim-runtime --rename --remove "$1"
+}
+
+# Used to remove the previous diversion when upgrading from one major release
+# to the next
+remove_previous_diversions() {
+ for v in vim71 vim72a vim72b vim72c; do
+ oldpath="$(echo $1 | sed s/@VIMCUR@/$v/)"
+ if dpkg-divert --list 2>/dev/null | grep -q "$oldpath"; then
+ rm_diversion $oldpath
+ fi
+ done
+}
+
+# Need to run helpztags since we're overwriting /u/s/v/a/d/tags whenever
+# vim-runtime is install/upgraded which breaks the help for other vim addons
+if which helpztags >/dev/null 2>&1; then
+ helpztags /usr/share/vim/addons/doc
+fi
+
+if [ "$1" = "configure" ]; then
+ remove_previous_diversions $basedir/help.txt
+ remove_previous_diversions $basedir/tags
+fi
+
+#DEBHELPER#
+
+exit 0